# eric7.Preferences.ConfigurationPages.CooperationPage

Module implementing the Cooperation configuration page.

### Global Attributes

None

### Classes

CooperationPage | Class implementing the Cooperation configuration page.

### Functions

create | Module function to create the configuration page.

## CooperationPage

Class implementing the Cooperation configuration page.

### Derived from

ConfigurationPageBase, Ui_CooperationPage

### Class Attributes

None

### Class Methods

None

### Methods

CooperationPage | Constructor
on_addBannedUserButton_clicked | Private slot to add a user to the list of banned users.
on_bannedUserEdit_textChanged | Private slot to handle the user entering a banned user.
on_bannedUsersList_itemSelectionChanged | Private slot to react on changes of selected banned users.
on_deleteBannedUsersButton_clicked | Private slot to remove the selected users from the list of banned users.
save | Public slot to save the Cooperation configuration.

### Static Methods

None

#### CooperationPage (Constructor)

CooperationPage()

Constructor

#### CooperationPage.on_addBannedUserButton_clicked

on_addBannedUserButton_clicked()

Private slot to add a user to the list of banned users.

#### CooperationPage.on_bannedUserEdit_textChanged

on_bannedUserEdit_textChanged(txt)

Private slot to handle the user entering a banned user.

txt
  text entered by the user (string)

#### CooperationPage.on_bannedUsersList_itemSelectionChanged

on_bannedUsersList_itemSelectionChanged()

Private slot to react on changes of selected banned users.

#### CooperationPage.on_deleteBannedUsersButton_clicked

on_deleteBannedUsersButton_clicked()

Private slot to remove the selected users from the list of banned users.

#### CooperationPage.save

save()

Public slot to save the Cooperation configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up